import { UseMutationOptions } from 'react-query';
import type { LoginReturnDataDTO, LoginDataDTO } from './issuerIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const appControllerLogin: <Data = unknown>(loginDataDTO: LoginDataDTO) => Promise<Data extends unknown ? LoginReturnDataDTO : Data>;
export declare const useAppControllerLogin: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<LoginReturnDataDTO, Error_1, {
    data: LoginDataDTO;
}, unknown>) => import("react-query").UseMutationResult<LoginReturnDataDTO, Error_1, {
    data: LoginDataDTO;
}, unknown>;
export {};
